Subject: Re: threads ?
From: Chris Faylor <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: "Robert A. Mackie" <[email-masked]>, [email-masked]
Date: Wed, 1 Sep 1999 18:39:15 -0400

On Wed, Sep 01, 1999 at 11:53:13AM -0500, Mumit Khan wrote:
>"Robert A. Mackie" <[email-masked]> writes:
>> 
>> Does the cygwin.dll support anything like posix threads ?  I looked
>> through the headers and found the process spawning stuff.  I can use
>> that if I need to, but was hoping that I'm just being obtuse somehow in
>> not finding the thread create, and the rest.
>
>Cygwin is not thread-safe, so it's a non-issue (short answer is "no" ;-)
>
>However, the development snapshots have *experimental* support for thread
>safety, but you need to build with --enable-threads; once you have that 
>you see if pthreads-win32 (http://sourceware.cygnus.com/pthreads/) will
>work.

Actually, there some minimal pthread functionality will show up if you
'configure --enable-threadsafe'.

-Chris Faylor
-Win32 Manager
-Cygnus Solutions

--
Want to unsubscribe from this list?
Send a message to [email-masked]